Subject: [mpls] Comments to draft-chandra-hegde-mpoint-bfd-for-mpls-00

From: Gregory Mirsky <[email-masked]>
Date: Tue, 20 Mar 2012 22:22:52 -0400

Dear Authors,
You've started very interesting work. Please consider my comments to Section 4.1:
*          "Applying the procedures of [RFC5884]to P2MP LSPs, periodic P2MP LSP Ping echo request messages MUST be sent by the ingress LSR to the egress LSR along the same data path as the P2MP LSP."
RFC 5884 does not require use of LSP Ping for bootstrapping but explains, as you do in first para of Section 3, that bootstrapping is useful in networks where PHP is allowed and used. I'd note that in MPLS-TP networks PHP is disabled by default and thus use of LSP Ping to bootstrap BFD session should not be mandatory. Since your document addresses all of MPLS networks, I'd propose to change from "MUST" to "MAY" or just "can".
*       "These echo messages SHOULD contain the local discriminator of the Multipoint BFD session established by the ingress LSR for the P2MP LSP."
RFC 5884 says that LSP Ping MUST carry local discriminator and I propose to change from "SHOULD" to "MUST" in the sentense above.

        Regards,
                Greg

---

From: Vikas Hegde <[email-masked]>
Date: Wed, 21 Mar 2012 22:03:46 +0530

Hi Gregory,

Thanks for your comments! We will incorporate your feedback into the document.

Regards,
Vikas

From: Gregory Mirsky [mailto:[email-masked]] 
Sent: Wednesday, March 21, 2012 7:53 AM
To: Vikas Hegde; Chandrasekar R; [email-masked]
Subject: Comments to draft-chandra-hegde-mpoint-bfd-for-mpls-00

Dear Authors,
You've started very interesting work. Please consider my comments to Section 4.1:
.    "Applying the procedures of [RFC5884]to P2MP LSPs, periodic P2MP LSP Ping echo request messages MUST be sent by the ingress LSR to the egress LSR along the same data path as the P2MP LSP."
RFC 5884 does not require use of LSP Ping for bootstrapping but explains, as you do in first para of Section 3, that bootstrapping is useful in networks where PHP is allowed and used. I'd note that in MPLS-TP networks PHP is disabled by default and thus use of LSP Ping to bootstrap BFD session should not be mandatory. Since your document addresses all of MPLS networks, I'd propose to change from "MUST" to "MAY" or just "can".
. "These echo messages SHOULD contain the local discriminator of the Multipoint BFD session established by the ingress LSR for the P2MP LSP."
RFC 5884 says that LSP Ping MUST carry local discriminator and I propose to change from "SHOULD" to "MUST" in the sentense above.
 
        Regards,
                Greg